Bug 1709401 - Fedora Workstation needs tray icon/appindicator support
Summary: Fedora Workstation needs tray icon/appindicator support
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 34
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-13 14:07 UTC by mlaverdiere
Modified: 2021-03-31 20:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:15:55 UTC
Type: Bug


Attachments (Terms of Use)

Description mlaverdiere 2019-05-13 14:07:54 UTC
I'm on Fedora Workstation 30 (with GNOME).

Since upstream GNOME doesn't seam ready any time soon to deliver a workable alternative to the traditional system tray on which many applications still relies, I think that Fedora Workstation (which comes with GNOME) should consider to include by default one of the GNOME shell extensions that provides the service.

This missing feature in Fedora Workstation makes many third-party applications/services (Nextcloud, Telegram Desktop, Dropbox, Skype, Steam, Variety, Discord, Slack, Insync, etc.) almost unusable. Most (if not all) others Fedora spins / Desktop Environments (KDE, MATE, XFCE, etc.), provide support for tray icons /appindicators. Ubuntu, which also relies on GNOME shell, also manages to offer this feature through a preinstalled extension (see below).

I think it is fair to say that most users would see such a feature as a basic one, that should be supported out of the box, without having to go through the installation of an extension.  

The right extension to include is probably KStatusNotifierItem/AppIndicator Support, since it seems to be actively maintained, as it is also included by default in Ubuntu: https://extensions.gnome.org/extension/615/appindicator-support/

There is also other extensions (like Topicons - with variants plus or redux), but it's not clear if they are still maintained and they only provide the legacy tray icons service, not the new appindicator service. Probably not the best option.

Comment 1 Harvey 2019-10-31 20:37:56 UTC
I had to switch folks from Fedora to Ubuntu only because Ubuntu supports sys tray app status indicators and Fedora 30 (now 31) does not support it. I agree with mlaverdiere. Skype and Slack and other useful office applications really need this feature for productivity reasons. Ubuntu (now 19.10) provides this feature by default, so does Mac OS X, and so does Windows 10. If and when Fedora provides it again in the future, I will have everyone switch back to Fedora. Other than that, I love Fedora (and RedHat).

Comment 2 Ben Cotton 2020-11-03 16:52:13 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 18:15:55 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 mlaverdiere 2021-03-29 19:41:54 UTC
Obviously, it is an ongoing bug, still present in Fedora Rawhide (and current Fedora 34 beta). Again, the absence of such a feature in Fedora Workstation makes it hard (or impossible) to use a lot of application/services that relies on a system tray/appindicators icon and forces user to go the extra steps to install the extension themselves. Not user friendly...

Easy solution: integrating: gnome-shell-extension-appindicator (which works with Fedora 34 and, being well maintained, has always work with previous GNOME/Fedora version): https://github.com/ubuntu/gnome-shell-extension-appindicator


Note You need to log in before you can comment on or make changes to this bug.